Loading...
Searching...
No Matches
L4::Ipc::Varg_list< MAX > Class Template Reference

Self-contained list of variable-sized RPC parameters. More...

`#include <ipc_varg>`

Inheritance diagram for L4::Ipc::Varg_list< MAX >:
Collaboration diagram for L4::Ipc::Varg_list< MAX >:

## Public Member Functions

| Varg_list (Varg_list_ref const &r)
| Create a parameter list as a copy from a referencing list.
Public Member Functions inherited from L4::Ipc::Varg_list_ref
| Varg_list_ref ()=default
| Create an empty parameter list.
| Varg_list_ref (void const *start, void const *end)
| Create a parameter list over a given memory region.
Varg | pop_front ()
| Get the next parameter in the list.
Varg | next ()
| Get the next parameter in the list.
Iterator | begin () const
| Returns an interator to the first Varg.
Iterator | end () const
| Returns the end of the list.

## Detailed Description

template<unsigned MAX>
class L4::Ipc::Varg_list< MAX >

Self-contained list of variable-sized RPC parameters.

Works like Varg_list_ref but contains a full copy of the data. Use this as a parameter in server functions, if the handler function needs to use the UTCB (e.g. while sending further IPC).

Definition at line 411 of file ipc_varg.

The documentation for this class was generated from the following file:

- l4/sys/cxx/ipc_varg